export default function compile(options: {
    source: string;
    rootVar?: string;
    format?: 'json' | 'json5' | 'yaml';
    filePath?: string;
    variable?: string;
    afterProcess?: object;
    target?: {
        php: boolean;
        js: boolean;
    };
    getNamespace?: (file: string) => string;
}): {
    code: {
        [key: string]: string;
    };
    errors?: object[];
};
